﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;

using Infragistics.Win.UltraWinTree;


namespace WindowsFormsApplication13
{
    static class FormUtility
    {
        public const string TREE_NODE_ORGANISATION = "organisation_";

        public static void FillTree(UltraTree tree, IList<Tester> testers)
        {
            foreach (var item in testers)
            {
                AddNode(tree, item);
            }
        }

        public static UltraTreeNode AddNode(UltraTree tree, Tester tester)
        {
            UltraTreeNode node = tree.GetNodeByKey(TREE_NODE_ORGANISATION + tester.Id.ToString());

            if (node == null)
            {
                node = new UltraTreeNode();
                node.Key = TREE_NODE_ORGANISATION + tester.Id.ToString();
                node.Text = tester.Name;
                node.Tag = tester;

                if (tester.Parent != null)
                {
                    AddNode(tree, tester.Parent).Nodes.Add(node);
                }
                else
                {
                    tree.Nodes.Add(node);
                }
            }

            return node;
        }
    }
}
